gAddMessage-class {MVCClass} | R Documentation

## Class "gAddMessage": A class to represent an add message

### Description

gAddMessage is a virtual class to represent an add message. Both gAddDataMessage and gAddViewMessage classes are inherited from gAddMessage.

### Objects from the Class

A virtual Class: No objects may be created from it.

### Slots

`dataName`:
  the name of the data to be added or the name of the data that the view will visualize
`mData`:
  a list of information needed to perform the addition
`type`:
  the type of addition to perform (ex. which type of model to add or which type of view to add)

### Extends

Class `"gModifyMessage"`, directly. Class `"gMessage"`, by class `"gModifyMessage"`.

### Methods

No methods defined with class "gAddMessage" in the signature.

### Author(s)

Elizabeth Whalen

### See Also

`gMessage-class`, `gModifyMessage-class`, `gAddViewMessage-class`, `gAddDataMessage-class`, `gAddChildMessage-class`

### Examples

[Package MVCClass version 1.10.0 Index]